MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0028375Open CASCADE[OCCT] OCCT:Modeling Algorithmspublic2017-01-19 15:022017-09-29 16:24
Reporterapn 
Assigned Toapn 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformLinuxOSOS Version
Product Version 
Target Version[OCCT] 7.2.0Fixed in Version[OCCT] 7.2.0 
Summary0028375: Regressions after enabling floating point signals handling in DRAW
DescriptionAfter enabling floating point signals handling (fix 0028198) there are following regressions:
OCCT Linux:
offset wire_closed_inside_0_005 D6
offset wire_closed_inside_0_025 D6
offset wire_closed_inside_0_075 D6
offset wire_closed_outside_0_005 C4
offset wire_closed_outside_0_025 C4
offset wire_closed_outside_0_075 C4

Products Linux:
emesh bugs bug26326_1
Steps To ReproduceTurn ON CMake variable BUILD_ENABLE_FPE_SIGNAL_HANDLER during configuration
Check that env.sh script contains CSF_FPE environment variable
TagsNo tags attached.
Test case numberoffset wire_closed_inside_0_005 D6, offset wire_closed_inside_0_025 D6, offset wire_closed_inside_0_075 D6, offset wire_closed_outside_0_005 C4, offset wire_closed_outside_0_025 C4, offset wire_closed_outside_0_075 C4, emesh bugs bug26326_1
Attached Files

- Relationships
related to 0028198closedapn Add FPE signals enabling from CMake 

-  Notes
(0063042)
git (administrator)
2017-01-25 18:12

Branch CR28375 has been created by msv.

SHA-1: c9875ee32cce6547fc3b7e05820ebc24618df997


Detailed log of new commits:

Author: msv
Date: Wed Jan 25 18:12:18 2017 +0300

    0028375: Regressions after enabling floating point signals handling in DRAW
    
    In Bisector_BisecCC.cxx avoid division by zero when the variable N1P2P1==0.
    In Bisector_BisecPC.cxx avoid creation of gp_Dir2d with zero components.
(0063043)
msv (developer)
2017-01-25 18:15

Dear Igor, please review the fix in occt repository.
In occt-products, the fix is obvious.
(0063109)
ifv (developer)
2017-01-27 09:47

Seems to be valid
(0063135)
git (administrator)
2017-01-27 16:56

Branch CR28375 has been updated forcibly by mkv.

SHA-1: 71a8aa16828352059980005f3f7aa25ba6b21eb4
(0063227)
mkv (tester)
2017-01-30 20:26

Dear BugMaster,
Branch CR28375 was rebased on current master of occt git-repository.
SHA-1: 71a8aa16828352059980005f3f7aa25ba6b21eb4
Branch CR28375 was rebased on current master of products git-repository.
SHA-1: 92c32a9c92eed28ed33ee1c7866f8e2cc7bd1be2
(0063228)
mkv (tester)
2017-01-30 20:26

Dear BugMaster,
Branch CR28375 from occt git-repository (and CR28375 from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.
SHA-1: 71a8aa16828352059980005f3f7aa25ba6b21eb4
SHA-1: 92c32a9c92eed28ed33ee1c7866f8e2cc7bd1be2

Number of compiler warnings:

occt component :
Linux: 0 (0 on master)
Windows: 0 (0 on master)
MacOS : 0 (0 on master)

products component :
Linux: 63 (63 on master)
Windows: 0 (0 on master)
MacOS : 1164

Regressions/Differences/Improvements:
No regressions/differences

Testing cases:
http://occt-tests/CR28375-CR28375-OCCT/Debian70-64/offset/wire_closed_inside_0_005/D6.html [^]
http://occt-tests/CR28375-CR28375-OCCT/Windows-64-VC10/offset/wire_closed_inside_0_005/D6.html [^]
offset wire_closed_inside_0_005 D6: BAD (known problem)
http://occt-tests/CR28375-CR28375-OCCT/Debian70-64/offset/wire_closed_inside_0_025/D6.html [^]
http://occt-tests/CR28375-CR28375-OCCT/Windows-64-VC10/offset/wire_closed_inside_0_025/D6.html [^]
offset wire_closed_inside_0_025 D6: BAD (known problem)
http://occt-tests/CR28375-CR28375-OCCT/Debian70-64/offset/wire_closed_inside_0_075/D6.html [^]
http://occt-tests/CR28375-CR28375-OCCT/Windows-64-VC10/offset/wire_closed_inside_0_075/D6.html [^]
offset wire_closed_inside_0_075 D6: BAD (known problem)
http://occt-tests/CR28375-CR28375-OCCT/Debian70-64/offset/wire_closed_outside_0_005/C4.html [^]
http://occt-tests/CR28375-CR28375-OCCT/Windows-64-VC10/offset/wire_closed_outside_0_005/C4.html [^]
offset wire_closed_outside_0_005 C4: BAD (known problem)
http://occt-tests/CR28375-CR28375-OCCT/Debian70-64/offset/wire_closed_outside_0_025/C4.html [^]
http://occt-tests/CR28375-CR28375-OCCT/Windows-64-VC10/offset/wire_closed_outside_0_025/C4.html [^]
offset wire_closed_outside_0_025 C4: BAD (known problem)
http://occt-tests/CR28375-CR28375-OCCT/Debian70-64/offset/wire_closed_outside_0_075/C4.html [^]
http://occt-tests/CR28375-CR28375-OCCT/Windows-64-VC10/offset/wire_closed_outside_0_075/C4.html [^]
offset wire_closed_outside_0_075 C4: BAD (known problem)

http://occt-tests/CR28375-CR28375-Products/Debian70-64/emesh/bugs/bug26326_1.html [^]
http://occt-tests/CR28375-CR28375-Products/Windows-64-VC10/emesh/bugs/bug26326_1.html [^]
emesh bugs bug26326_1: BAD (known problem)

Testing on Linux:
occt component :
Total MEMORY difference: 92215941 / 92037170 [+0.19%]
Total CPU difference: 19976.89000000021 / 19922.620000000115 [+0.27%]
products component :
Total MEMORY difference: 31479576 / 31477908 [+0.01%]
Total CPU difference: 5638.079999999971 / 5544.959999999981 [+1.68%]

Testing on Windows:
occt component :
Total MEMORY difference: 57620885 / 57618048 [+0.00%]
Total CPU difference: 18688.63899819863 / 18683.178963198647 [+0.03%]
products component :
Total MEMORY difference: 22659020 / 22621210 [+0.17%]
Total CPU difference: 5550.8431820999795 / 5570.546108399986 [-0.35%]

There are no differences in images found by testdiff.
(0063229)
mkv (tester)
2017-01-30 20:27

Dear BugMaster,
Branch CR28375 from occt git-repository and CR28375 from products git-repository are TESTED.
(0063621)
git (administrator)
2017-02-08 11:36

Branch CR28375 has been deleted by kgv.

SHA-1: 71a8aa16828352059980005f3f7aa25ba6b21eb4

- Related Changesets
occt: master cbdcce0d
Timestamp: 2017-01-25 15:12:18
Author: msv
Committer: apn
Details ] Diff ]
0028375: Regressions after enabling floating point signals handling in DRAW

In Bisector_BisecCC.cxx avoid division by zero when the variable N1P2P1==0.
In Bisector_BisecPC.cxx avoid creation of gp_Dir2d with zero components.
mod - src/Bisector/Bisector_BisecCC.cxx Diff ] File ]
mod - src/Bisector/Bisector_BisecPC.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2017-01-19 15:02 apn New Issue
2017-01-19 15:02 apn Assigned To => msv
2017-01-19 15:03 apn Relationship added related to 0028198
2017-01-19 15:03 apn Status new => assigned
2017-01-25 18:12 git Note Added: 0063042
2017-01-25 18:15 msv Note Added: 0063043
2017-01-25 18:15 msv Assigned To msv => ifv
2017-01-25 18:15 msv Status assigned => resolved
2017-01-27 09:47 ifv Note Added: 0063109
2017-01-27 09:47 ifv Assigned To ifv => bugmaster
2017-01-27 09:47 ifv Status resolved => reviewed
2017-01-27 13:20 mkv Assigned To bugmaster => mkv
2017-01-27 16:56 git Note Added: 0063135
2017-01-30 20:26 mkv Note Added: 0063227
2017-01-30 20:26 mkv Note Added: 0063228
2017-01-30 20:27 mkv Note Added: 0063229
2017-01-30 20:27 mkv Assigned To mkv => bugmaster
2017-01-30 20:27 mkv Status reviewed => tested
2017-01-30 20:27 mkv Test case number => offset wire_closed_inside_0_005 D6, offset wire_closed_inside_0_025 D6, offset wire_closed_inside_0_075 D6, offset wire_closed_outside_0_005 C4, offset wire_closed_outside_0_025 C4, offset wire_closed_outside_0_075 C4, emesh bugs bug26326_1
2017-02-03 16:52 apn Changeset attached => occt master cbdcce0d
2017-02-03 16:52 apn Assigned To bugmaster => apn
2017-02-03 16:52 apn Status tested => verified
2017-02-03 16:52 apn Resolution open => fixed
2017-02-08 11:36 git Note Added: 0063621
2017-09-29 16:21 user533 Fixed in Version => 7.2.0
2017-09-29 16:24 user533 Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker